%{!?__python2:        %define __python2 /usr/bin/python2}
%{!?python2_sitelib:  %define python2_sitelib  %(%{__python2} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")}
%{!?python2_sitearch: %define python2_sitearch %(%{__python2} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib(1))")}

%define modn   adns
%define modv   1.2.1


Summary:       A Python interface to GNU adns
Name:          python-%{modn}
Version:       %{modv}
Release:       3%{?dist}%{?pext}
License:       GPL
Group:         Development/Libraries
Source0:       http://%{modn}-python.googlecode.com/files/%{modn}-python-%{modv}.tar.gz
URL:           http://code.google.com/p/%{modn}-python/
Buildroot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Vendor:        Andy Dustman <farcepest@gmail.com>
Provides:      python(%{modn}) = %{modv}
BuildRequires: python2-devel >= 2.3 python-setuptools
BuildRequires: adns-devel >= 1.2


%description
Adns is a Python module that interfaces to the GNU adns asynchronous
resolver library.


%prep
%setup -q -n %{modn}-python-%{modv}


%build
%{__python2} -c 'import setuptools; execfile("setup.py")' build


%install
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}
%{__mkdir_p} ${RPM_BUILD_ROOT}%{_prefix}

%{__python2} -c 'import setuptools; execfile("setup.py")' install \
	--skip-build -O1 --root ${RPM_BUILD_ROOT}


%clean
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,root)
%doc ChangeLog GPL README
%{python2_sitearch}/%{modn}.so
%{python2_sitearch}/ADNS.py*
%{python2_sitearch}/DNSBL.py*
%{python2_sitearch}/*.egg-info


%changelog
* Wed Feb 11 2015 Peter Pramberger <peterpramb@member.fsf.org> - 1.2.1-3
- Rebuild against adns 1.5.0

* Fri Oct 31 2008 Peter Pramberger <peterpramb@member.fsf.org> - 1.2.1-2
- Added missing egg info

* Fri Oct 31 2008 Peter Pramberger <peterpramb@member.fsf.org> - 1.2.1-1
- New version (1.2.1)

* Mon Jan 29 2007 peter.pramberger@member.fsf.org 1.1.1-3
- some spec file cleanups (x86_64 support)

* Fri Dec 15 2006 peter.pramberger@member.fsf.org 1.1.1-2
- created
